package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.IntegralOrderLogMapper;
import com.ruoyi.system.domain.IntegralOrderLog;
import com.ruoyi.system.service.IIntegralOrderLogService;

/**
 * 积分订单日志Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
@Service
public class IntegralOrderLogServiceImpl implements IIntegralOrderLogService 
{
    @Autowired
    private IntegralOrderLogMapper integralOrderLogMapper;

    /**
     * 查询积分订单日志
     * 
     * @param id 积分订单日志主键
     * @return 积分订单日志
     */
    @Override
    public IntegralOrderLog selectIntegralOrderLogById(Long id)
    {
        return integralOrderLogMapper.selectIntegralOrderLogById(id);
    }

    /**
     * 查询积分订单日志列表
     * 
     * @param integralOrderLog 积分订单日志
     * @return 积分订单日志
     */
    @Override
    public List<IntegralOrderLog> selectIntegralOrderLogList(IntegralOrderLog integralOrderLog)
    {
        return integralOrderLogMapper.selectIntegralOrderLogList(integralOrderLog);
    }

    /**
     * 新增积分订单日志
     * 
     * @param integralOrderLog 积分订单日志
     * @return 结果
     */
    @Override
    public int insertIntegralOrderLog(IntegralOrderLog integralOrderLog)
    {
        return integralOrderLogMapper.insertIntegralOrderLog(integralOrderLog);
    }

    /**
     * 修改积分订单日志
     * 
     * @param integralOrderLog 积分订单日志
     * @return 结果
     */
    @Override
    public int updateIntegralOrderLog(IntegralOrderLog integralOrderLog)
    {
        return integralOrderLogMapper.updateIntegralOrderLog(integralOrderLog);
    }

    /**
     * 批量删除积分订单日志
     * 
     * @param ids 需要删除的积分订单日志主键
     * @return 结果
     */
    @Override
    public int deleteIntegralOrderLogByIds(Long[] ids)
    {
        return integralOrderLogMapper.deleteIntegralOrderLogByIds(ids);
    }

    /**
     * 删除积分订单日志信息
     * 
     * @param id 积分订单日志主键
     * @return 结果
     */
    @Override
    public int deleteIntegralOrderLogById(Long id)
    {
        return integralOrderLogMapper.deleteIntegralOrderLogById(id);
    }
}
